# Uses of Class
org.opensaml.core.xml.config.XMLObjectProviderRegistry

Packages that use XMLObjectProviderRegistry
Package
Description
org.opensaml.core.xml.config
Configuration of XML object providers and related functionality.
org.opensaml.core.xml.util
Utility classes for working with XML, XMLObjects, and various data types.

## Uses of XMLObjectProviderRegistry in org.opensaml.core.xml.config

Fields in org.opensaml.core.xml.config declared as XMLObjectProviderRegistry
Modifier and Type
Field
Description
`private final XMLObjectProviderRegistry`
XMLConfigurator.`registry`
The provider registry instance to use.
Methods in org.opensaml.core.xml.config that return XMLObjectProviderRegistry
Modifier and Type
Method
Description
`protected XMLObjectProviderRegistry`
XMLConfigurator.`getRegistry()`
Get the XMLObject provider registry instance to use.

## Uses of XMLObjectProviderRegistry in org.opensaml.core.xml.util

Methods in org.opensaml.core.xml.util that return XMLObjectProviderRegistry
Modifier and Type
Method
Description
`private static XMLObjectProviderRegistry`
XMLObjectSupport.`getProviderRegistry()`
Obtain the XMLObject provider registry.